Preview a contact import
POST
/api/v1/contacts/import/preview
const url = 'https://renotify.app/api/v1/contacts/import/preview';const form = new FormData();form.append('file', 'file');
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
options.body = form;
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://renotify.app/api/v1/contacts/import/preview \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: multipart/form-data' \ --form file=@fileParse an uploaded CSV or spreadsheet file and return the detected headers and sample rows.
Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Media typemultipart/form-data
object
file
required
The CSV or spreadsheet file to preview.
string format: binary